## PhoshMMDBusObjectManagerClient

PhoshMMDBusObjectManagerClient

## Functions

GDBusInterfaceInfo * | phosh_mm_dbus_modem_interface_info ()
guint | phosh_mm_dbus_modem_override_properties ()
GVariant * | phosh_mm_dbus_modem_get_signal_quality ()
GVariant * | phosh_mm_dbus_modem_dup_signal_quality ()
void | phosh_mm_dbus_modem_set_signal_quality ()
guint | phosh_mm_dbus_modem_get_access_technologies ()
void | phosh_mm_dbus_modem_set_access_technologies ()
guint | phosh_mm_dbus_modem_get_unlock_required ()
void | phosh_mm_dbus_modem_set_unlock_required ()
gint | phosh_mm_dbus_modem_get_state ()
void | phosh_mm_dbus_modem_set_state ()
const gchar * | phosh_mm_dbus_modem_get_sim ()
gchar * | phosh_mm_dbus_modem_dup_sim ()
void | phosh_mm_dbus_modem_set_sim ()
void | phosh_mm_dbus_modem_proxy_new ()
PhoshMMDBusModem * | phosh_mm_dbus_modem_proxy_new_finish ()
PhoshMMDBusModem * | phosh_mm_dbus_modem_proxy_new_sync ()
void | phosh_mm_dbus_modem_proxy_new_for_bus ()
PhoshMMDBusModem * | phosh_mm_dbus_modem_proxy_new_for_bus_finish ()
PhoshMMDBusModem * | phosh_mm_dbus_modem_proxy_new_for_bus_sync ()
PhoshMMDBusModem * | phosh_mm_dbus_modem_skeleton_new ()
GDBusInterfaceInfo * | phosh_mm_dbus_modem_modem3gpp_interface_info ()
guint | phosh_mm_dbus_modem_modem3gpp_override_properties ()
const gchar * | phosh_mm_dbus_modem_modem3gpp_get_operator_name ()
gchar * | phosh_mm_dbus_modem_modem3gpp_dup_operator_name ()
void | phosh_mm_dbus_modem_modem3gpp_set_operator_name ()
void | phosh_mm_dbus_modem_modem3gpp_proxy_new ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_modem_modem3gpp_proxy_new_finish ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_modem_modem3gpp_proxy_new_sync ()
void | phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_finish ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_sync ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_modem_modem3gpp_skeleton_new ()
PhoshMMDBusModem * | phosh_mm_dbus_object_get_modem ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_object_get_modem_modem3gpp ()
PhoshMMDBusModem * | phosh_mm_dbus_object_peek_modem ()
PhoshMMDBusModemModem3gpp * | phosh_mm_dbus_object_peek_modem_modem3gpp ()
PhoshMMDBusObjectProxy * | phosh_mm_dbus_object_proxy_new ()
PhoshMMDBusObjectSkeleton * | phosh_mm_dbus_object_skeleton_new ()
void | phosh_mm_dbus_object_skeleton_set_modem ()
void | phosh_mm_dbus_object_skeleton_set_modem_modem3gpp ()
GType | phosh_mm_dbus_object_manager_client_get_proxy_type ()
void | phosh_mm_dbus_object_manager_client_new ()
GDBusObjectManager * | phosh_mm_dbus_object_manager_client_new_finish ()
GDBusObjectManager * | phosh_mm_dbus_object_manager_client_new_sync ()
void | phosh_mm_dbus_object_manager_client_new_for_bus ()
GDBusObjectManager * | phosh_mm_dbus_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | phosh_mm_dbus_object_manager_client_new_for_bus_sync ()

## Properties

guint | access-technologies | Read / Write
GVariant * | signal-quality | Read / Write
char * | sim | Read / Write
int | state | Read / Write
guint | unlock-required | Read / Write
char * | operator-name | Read / Write
PhoshMMDBusModem * | modem | Read / Write
PhoshMMDBusModemModem3gpp * | modem-modem3gpp | Read / Write

## Types and Values

struct | PhoshMMDBusModemIface
struct | PhoshMMDBusModemProxy
struct | PhoshMMDBusModemProxyClass
struct | PhoshMMDBusModemSkeleton
struct | PhoshMMDBusModemSkeletonClass
struct | PhoshMMDBusModemModem3gppIface
struct | PhoshMMDBusModemModem3gppProxy
struct | PhoshMMDBusModemModem3gppProxyClass
struct | PhoshMMDBusModemModem3gppSkeleton
struct | PhoshMMDBusModemModem3gppSkeletonClass
struct | PhoshMMDBusObjectIface
struct | PhoshMMDBusObjectProxy
struct | PhoshMMDBusObjectProxyClass
struct | PhoshMMDBusObjectSkeleton
struct | PhoshMMDBusObjectSkeletonClass
struct | PhoshMMDBusObjectManagerClient
struct | PhoshMMDBusObjectManagerClientClass
| PhoshMMDBusModem
| PhoshMMDBusModemModem3gpp
| PhoshMMDBusModemModem3gppProxyPrivate
| PhoshMMDBusModemModem3gppSkeletonPrivate
| PhoshMMDBusModemProxyPrivate
| PhoshMMDBusModemSkeletonPrivate
| PhoshMMDBusObject
| PhoshMMDBusObjectManagerClientPrivate
| PhoshMMDBusObjectProxyPrivate
| PhoshMMDBusObjectSkeletonPrivate

## Object Hierarchy

        GInterface
        ├── PhoshMMDBusModem
        ├── PhoshMMDBusModemModem3gpp
        ╰── PhoshMMDBusObject
        GObject
        ├── GDBusInterfaceSkeleton
        │   ├── PhoshMMDBusModemModem3gppSkeleton
        │   ╰── PhoshMMDBusModemSkeleton
        ├── GDBusObjectManagerClient
        │   ╰── PhoshMMDBusObjectManagerClient
        ├── GDBusObjectProxy
        │   ╰── PhoshMMDBusObjectProxy
        ├── GDBusObjectSkeleton
        │   ╰── PhoshMMDBusObjectSkeleton
        ╰── GDBusProxy
            ├── PhoshMMDBusModemModem3gppProxy
            ╰── PhoshMMDBusModemProxy

## Prerequisites

PhoshMMDBusModem requires GObject.

PhoshMMDBusModemModem3gpp requires GObject.

PhoshMMDBusObject requires GDBusObject and GObject.

## Implemented Interfaces

PhoshMMDBusModemProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshMMDBusModem.

PhoshMMDBusModemSkeleton implements GDBusInterface and PhoshMMDBusModem.

PhoshMMDBusModemModem3gppProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshMMDBusModemModem3gpp.

PhoshMMDBusModemModem3gppSkeleton implements GDBusInterface and PhoshMMDBusModemModem3gpp.

PhoshMMDBusObjectProxy implements GDBusObject and PhoshMMDBusObject.

PhoshMMDBusObjectSkeleton implements GDBusObject and PhoshMMDBusObject.

PhoshMMDBusObjectManagerClient implements GInitable, GAsyncInitable and GDBusObjectManager.

## Known Implementations

PhoshMMDBusModem is implemented by PhoshMMDBusModemProxy and PhoshMMDBusModemSkeleton.

PhoshMMDBusModemModem3gpp is implemented by PhoshMMDBusModemModem3gppProxy and PhoshMMDBusModemModem3gppSkeleton.

PhoshMMDBusObject is implemented by PhoshMMDBusObjectProxy and PhoshMMDBusObjectSkeleton.

## Description

## Functions

### phosh_mm_dbus_modem_interface_info ()

    GDBusInterfaceInfo *
    phosh_mm_dbus_modem_interface_info (void);

Gets a machine-readable description of the org.freedesktop.ModemManager1.Modem D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_mm_dbus_modem_override_properties ()

    guint
    phosh_mm_dbus_modem_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshMMDBusModem interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_mm_dbus_modem_get_signal_quality ()

    GVariant *
    phosh_mm_dbus_modem_get_signal_quality
                                   (PhoshMMDBusModem *object);

Gets the value of the "SignalQuality" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mm_dbus_modem_dup_signal_quality()` if on another thread.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mm_dbus_modem_dup_signal_quality ()

    GVariant *
    phosh_mm_dbus_modem_dup_signal_quality
                                   (PhoshMMDBusModem *object);

Gets a copy of the "SignalQuality" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### phosh_mm_dbus_modem_set_signal_quality ()

    void
    phosh_mm_dbus_modem_set_signal_quality
                                   (PhoshMMDBusModem *object,
                                    GVariant *value);

Sets the "SignalQuality" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |
value | The value to set. |

### phosh_mm_dbus_modem_get_access_technologies ()

    guint
    phosh_mm_dbus_modem_get_access_technologies
                                   (PhoshMMDBusModem *object);

Gets the value of the "AccessTechnologies" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value.

### phosh_mm_dbus_modem_set_access_technologies ()

    void
    phosh_mm_dbus_modem_set_access_technologies
                                   (PhoshMMDBusModem *object,
                                    guint value);

Sets the "AccessTechnologies" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |
value | The value to set. |

### phosh_mm_dbus_modem_get_unlock_required ()

    guint
    phosh_mm_dbus_modem_get_unlock_required
                                   (PhoshMMDBusModem *object);

Gets the value of the "UnlockRequired" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value.

### phosh_mm_dbus_modem_set_unlock_required ()

    void
    phosh_mm_dbus_modem_set_unlock_required
                                   (PhoshMMDBusModem *object,
                                    guint value);

Sets the "UnlockRequired" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |
value | The value to set. |

### phosh_mm_dbus_modem_get_state ()

    gint
    phosh_mm_dbus_modem_get_state (PhoshMMDBusModem *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value.

### phosh_mm_dbus_modem_set_state ()

    void
    phosh_mm_dbus_modem_set_state (PhoshMMDBusModem *object,
                                   gint value);

Sets the "State" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |
value | The value to set. |

### phosh_mm_dbus_modem_get_sim ()

    const gchar *
    phosh_mm_dbus_modem_get_sim (PhoshMMDBusModem *object);

Gets the value of the "Sim" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mm_dbus_modem_dup_sim()` if on another thread.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mm_dbus_modem_dup_sim ()

    gchar *
    phosh_mm_dbus_modem_dup_sim (PhoshMMDBusModem *object);

Gets a copy of the "Sim" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_mm_dbus_modem_set_sim ()

    void
    phosh_mm_dbus_modem_set_sim (PhoshMMDBusModem *object,
                                 const gchar *value);

Sets the "Sim" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModem. |
value | The value to set. |

### phosh_mm_dbus_modem_proxy_new ()

    void
    phosh_mm_dbus_modem_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1.Modem. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_modem_proxy_new_finish()` to get the result of the operation.

See `phosh_mm_dbus_modem_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_modem_proxy_new_finish ()

    PhoshMMDBusModem *
    phosh_mm_dbus_modem_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `phosh_mm_dbus_modem_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_modem_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemProxy]

### phosh_mm_dbus_modem_proxy_new_sync ()

    PhoshMMDBusModem *
    phosh_mm_dbus_modem_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1.Modem. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_modem_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemProxy]

### phosh_mm_dbus_modem_proxy_new_for_bus ()

    void
    phosh_mm_dbus_modem_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `phosh_mm_dbus_modem_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_modem_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_mm_dbus_modem_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_modem_proxy_new_for_bus_finish ()

    PhoshMMDBusModem *
    phosh_mm_dbus_modem_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mm_dbus_modem_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_modem_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemProxy]

### phosh_mm_dbus_modem_proxy_new_for_bus_sync ()

    PhoshMMDBusModem *
    phosh_mm_dbus_modem_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_mm_dbus_modem_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_modem_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemProxy]

### phosh_mm_dbus_modem_skeleton_new ()

    PhoshMMDBusModem *
    phosh_mm_dbus_modem_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.ModemManager1.Modem.

#### Returns

The skeleton object.

[transfer full][type PhoshMMDBusModemSkeleton]

### phosh_mm_dbus_modem_modem3gpp_interface_info ()

    GDBusInterfaceInfo *
    phosh_mm_dbus_modem_modem3gpp_interface_info
                                   (void);

Gets a machine-readable description of the org.freedesktop.ModemManager1.Modem.Modem3gpp D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_mm_dbus_modem_modem3gpp_override_properties ()

    guint
    phosh_mm_dbus_modem_modem3gpp_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshMMDBusModemModem3gpp interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_mm_dbus_modem_modem3gpp_get_operator_name ()

    const gchar *
    phosh_mm_dbus_modem_modem3gpp_get_operator_name
                                   (PhoshMMDBusModemModem3gpp *object);

Gets the value of the "OperatorName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mm_dbus_modem_modem3gpp_dup_operator_name()` if on another thread.

[skip]

#### Parameters

object | A PhoshMMDBusModemModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mm_dbus_modem_modem3gpp_dup_operator_name ()

    gchar *
    phosh_mm_dbus_modem_modem3gpp_dup_operator_name
                                   (PhoshMMDBusModemModem3gpp *object);

Gets a copy of the "OperatorName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModemModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_mm_dbus_modem_modem3gpp_set_operator_name ()

    void
    phosh_mm_dbus_modem_modem3gpp_set_operator_name
                                   (PhoshMMDBusModemModem3gpp *object,
                                    const gchar *value);

Sets the "OperatorName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMMDBusModemModem3gpp. |
value | The value to set. |

### phosh_mm_dbus_modem_modem3gpp_proxy_new ()

    void
    phosh_mm_dbus_modem_modem3gpp_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_modem_modem3gpp_proxy_new_finish()` to get the result of the operation.

See `phosh_mm_dbus_modem_modem3gpp_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_modem_modem3gpp_proxy_new_finish ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_modem_modem3gpp_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mm_dbus_modem_modem3gpp_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_modem_modem3gpp_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemModem3gppProxy]

### phosh_mm_dbus_modem_modem3gpp_proxy_new_sync ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_modem_modem3gpp_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_modem_modem3gpp_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemModem3gppProxy]

### phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus ()

    void
    phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_mm_dbus_modem_modem3gpp_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_finish ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemModem3gppProxy]

### phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_sync ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_mm_dbus_modem_modem3gpp_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_modem_modem3gpp_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusModemModem3gppProxy]

### phosh_mm_dbus_modem_modem3gpp_skeleton_new ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_modem_modem3gpp_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

#### Returns

The skeleton object.

[transfer full][type PhoshMMDBusModemModem3gppSkeleton]

### phosh_mm_dbus_object_get_modem ()

    PhoshMMDBusModem *
    phosh_mm_dbus_object_get_modem (PhoshMMDBusObject *object);

Gets the PhoshMMDBusModem instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object` , if any.

#### Parameters

object | A PhoshMMDBusObject. |

#### Returns

A PhoshMMDBusModem that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### phosh_mm_dbus_object_get_modem_modem3gpp ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_object_get_modem_modem3gpp
                                   (PhoshMMDBusObject *object);

Gets the PhoshMMDBusModemModem3gpp instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object` , if any.

#### Parameters

object | A PhoshMMDBusObject. |

#### Returns

A PhoshMMDBusModemModem3gpp that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### phosh_mm_dbus_object_peek_modem ()

    PhoshMMDBusModem *
    phosh_mm_dbus_object_peek_modem (PhoshMMDBusObject *object);

Like `phosh_mm_dbus_object_get_modem()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A PhoshMMDBusObject. |

#### Returns

A PhoshMMDBusModem or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### phosh_mm_dbus_object_peek_modem_modem3gpp ()

    PhoshMMDBusModemModem3gpp *
    phosh_mm_dbus_object_peek_modem_modem3gpp
                                   (PhoshMMDBusObject *object);

Like `phosh_mm_dbus_object_get_modem_modem3gpp()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A PhoshMMDBusObject. |

#### Returns

A PhoshMMDBusModemModem3gpp or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### phosh_mm_dbus_object_proxy_new ()

    PhoshMMDBusObjectProxy *
    phosh_mm_dbus_object_proxy_new (GDBusConnection *connection,
                                    const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### phosh_mm_dbus_object_skeleton_new ()

    PhoshMMDBusObjectSkeleton *
    phosh_mm_dbus_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### phosh_mm_dbus_object_skeleton_set_modem ()

    void
    phosh_mm_dbus_object_skeleton_set_modem
                                   (PhoshMMDBusObjectSkeleton *object,
                                    PhoshMMDBusModem *interface_);

Sets the PhoshMMDBusModem instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object` .

#### Parameters

object | A PhoshMMDBusObjectSkeleton. |
interface_ | A PhoshMMDBusModem or `NULL` to clear the interface. | [nullable]

### phosh_mm_dbus_object_skeleton_set_modem_modem3gpp ()

    void
    phosh_mm_dbus_object_skeleton_set_modem_modem3gpp
                                   (PhoshMMDBusObjectSkeleton *object,
                                    PhoshMMDBusModemModem3gpp *interface_);

Sets the PhoshMMDBusModemModem3gpp instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object` .

#### Parameters

object | A PhoshMMDBusObjectSkeleton. |
interface_ | A PhoshMMDBusModemModem3gpp or `NULL` to clear the interface. | [nullable]

### phosh_mm_dbus_object_manager_client_get_proxy_type ()

    GType
    phosh_mm_dbus_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy derived and GDBusProxy derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [nullable]
user_data | User data (unused). |

#### Returns

A GDBusProxy derived GType if `interface_name` is not `NULL`, otherwise the GType for PhoshMMDBusObjectProxy.

### phosh_mm_dbus_object_manager_client_new ()

    void
    phosh_mm_dbus_object_manager_client_new
                                   (GDBusConnection *connection,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `phosh_mm_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_object_manager_client_new_finish()` to get the result of the operation.

See `phosh_mm_dbus_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_object_manager_client_new_finish ()

    GDBusObjectManager *
    phosh_mm_dbus_object_manager_client_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mm_dbus_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusObjectManagerClient]

### phosh_mm_dbus_object_manager_client_new_sync ()

    GDBusObjectManager *
    phosh_mm_dbus_object_manager_client_new_sync
                                   (GDBusConnection *connection,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates GDBusObjectManagerClient using `phosh_mm_dbus_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusObjectManagerClient]

### phosh_mm_dbus_object_manager_client_new_for_bus ()

    void
    phosh_mm_dbus_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_mm_dbus_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mm_dbus_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `phosh_mm_dbus_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mm_dbus_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    phosh_mm_dbus_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mm_dbus_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mm_dbus_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusObjectManagerClient]

### phosh_mm_dbus_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    phosh_mm_dbus_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_mm_dbus_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_mm_dbus_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type PhoshMMDBusObjectManagerClient]

## Types and Values

### struct PhoshMMDBusModemIface

    struct PhoshMMDBusModemIface {
      GTypeInterface parent_iface;

      guint  (*get_access_technologies) (PhoshMMDBusModem *object);

      GVariant * (*get_signal_quality) (PhoshMMDBusModem *object);

      const gchar * (*get_sim) (PhoshMMDBusModem *object);

      gint  (*get_state) (PhoshMMDBusModem *object);

      guint  (*get_unlock_required) (PhoshMMDBusModem *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_access_technologies` () | Getter for the “access-technologies” property. |
`get_signal_quality` () | Getter for the “signal-quality” property. |
`get_sim` () | Getter for the “sim” property. |
`get_state` () | Getter for the “state” property. |
`get_unlock_required` () | Getter for the “unlock-required” property. |

### struct PhoshMMDBusModemProxy

    struct PhoshMMDBusModemProxy;

The PhoshMMDBusModemProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusModemProxyClass

    struct PhoshMMDBusModemProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshMMDBusModemProxy.

#### Members

### struct PhoshMMDBusModemSkeleton

    struct PhoshMMDBusModemSkeleton;

The PhoshMMDBusModemSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusModemSkeletonClass

    struct PhoshMMDBusModemSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshMMDBusModemSkeleton.

#### Members

### struct PhoshMMDBusModemModem3gppIface

    struct PhoshMMDBusModemModem3gppIface {
      GTypeInterface parent_iface;

      const gchar * (*get_operator_name) (PhoshMMDBusModemModem3gpp *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_operator_name` () | Getter for the “operator-name” property. |

### struct PhoshMMDBusModemModem3gppProxy

    struct PhoshMMDBusModemModem3gppProxy;

The PhoshMMDBusModemModem3gppProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusModemModem3gppProxyClass

    struct PhoshMMDBusModemModem3gppProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshMMDBusModemModem3gppProxy.

#### Members

### struct PhoshMMDBusModemModem3gppSkeleton

    struct PhoshMMDBusModemModem3gppSkeleton;

The PhoshMMDBusModemModem3gppSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusModemModem3gppSkeletonClass

    struct PhoshMMDBusModemModem3gppSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshMMDBusModemModem3gppSkeleton.

#### Members

### struct PhoshMMDBusObjectIface

    struct PhoshMMDBusObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the PhoshMMDBusObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct PhoshMMDBusObjectProxy

    struct PhoshMMDBusObjectProxy;

The PhoshMMDBusObjectProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusObjectProxyClass

    struct PhoshMMDBusObjectProxyClass {
      GDBusObjectProxyClass parent_class;
    };

Class structure for PhoshMMDBusObjectProxy.

#### Members

### struct PhoshMMDBusObjectSkeleton

    struct PhoshMMDBusObjectSkeleton;

The PhoshMMDBusObjectSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusObjectSkeletonClass

    struct PhoshMMDBusObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;
    };

Class structure for PhoshMMDBusObjectSkeleton.

#### Members

### struct PhoshMMDBusObjectManagerClient

    struct PhoshMMDBusObjectManagerClient;

The PhoshMMDBusObjectManagerClient structure contains only private data and should only be accessed using the provided API.

### struct PhoshMMDBusObjectManagerClientClass

    struct PhoshMMDBusObjectManagerClientClass {
      GDBusObjectManagerClientClass parent_class;
    };

Class structure for PhoshMMDBusObjectManagerClient.

#### Members

### PhoshMMDBusModem

    typedef struct _PhoshMMDBusModem PhoshMMDBusModem;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.

### PhoshMMDBusModemModem3gpp

    typedef struct _PhoshMMDBusModemModem3gpp PhoshMMDBusModemModem3gpp;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

### PhoshMMDBusModemModem3gppProxyPrivate

    typedef struct _PhoshMMDBusModemModem3gppProxyPrivate PhoshMMDBusModemModem3gppProxyPrivate;

### PhoshMMDBusModemModem3gppSkeletonPrivate

    typedef struct _PhoshMMDBusModemModem3gppSkeletonPrivate PhoshMMDBusModemModem3gppSkeletonPrivate;

### PhoshMMDBusModemProxyPrivate

    typedef struct _PhoshMMDBusModemProxyPrivate PhoshMMDBusModemProxyPrivate;

### PhoshMMDBusModemSkeletonPrivate

    typedef struct _PhoshMMDBusModemSkeletonPrivate PhoshMMDBusModemSkeletonPrivate;

### PhoshMMDBusObject

    typedef struct _PhoshMMDBusObject PhoshMMDBusObject;

The PhoshMMDBusObject type is a specialized container of interfaces.

### PhoshMMDBusObjectManagerClientPrivate

    typedef struct _PhoshMMDBusObjectManagerClientPrivate PhoshMMDBusObjectManagerClientPrivate;

### PhoshMMDBusObjectProxyPrivate

    typedef struct _PhoshMMDBusObjectProxyPrivate PhoshMMDBusObjectProxyPrivate;

### PhoshMMDBusObjectSkeletonPrivate

    typedef struct _PhoshMMDBusObjectSkeletonPrivate PhoshMMDBusObjectSkeletonPrivate;

## Property Details

### The `“access-technologies”` property

      “access-technologies”      guint

Represents the D-Bus property "AccessTechnologies".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModem

Flags: Read / Write

Default value: 0

### The `“signal-quality”` property

      “signal-quality”           GVariant *

Represents the D-Bus property "SignalQuality".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModem

Flags: Read / Write

Allowed values: GVariant<(ub)>

Default value: NULL

### The `“sim”` property

      “sim”                      char *

Represents the D-Bus property "Sim".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModem

Flags: Read / Write

Default value: NULL

### The `“state”` property

      “state”                    int

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModem

Flags: Read / Write

Default value: 0

### The `“unlock-required”` property

      “unlock-required”          guint

Represents the D-Bus property "UnlockRequired".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModem

Flags: Read / Write

Default value: 0

### The `“operator-name”` property

      “operator-name”            char *

Represents the D-Bus property "OperatorName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMMDBusModemModem3gpp

Flags: Read / Write

Default value: NULL

### The `“modem”` property

      “modem”                    PhoshMMDBusModem *

The PhoshMMDBusModem instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: PhoshMMDBusObject

Flags: Read / Write

### The `“modem-modem3gpp”` property

      “modem-modem3gpp”          PhoshMMDBusModemModem3gpp *

The PhoshMMDBusModemModem3gpp instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: PhoshMMDBusObject

Flags: Read / Write